# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TColumnValue

Packages that use TColumnValue
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TColumnValue in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TColumnValue in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`class`
`TColumnValue`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TColumnValue
Modifier and Type
Field
Description
`List<TColumnValue>`
TRow.`colVals`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TColumnValue
Modifier and Type
Method
Description
`static TColumnValue`
TColumnValue.`boolVal(TBoolValue value)`
`static TColumnValue`
TColumnValue.`byteVal(TByteValue value)`
`TColumnValue`
TColumnValue.`deepCopy()`
`static TColumnValue`
TColumnValue.`doubleVal(TDoubleValue value)`
`static TColumnValue`
TColumnValue.`i16Val(TI16Value value)`
`static TColumnValue`
TColumnValue.`i32Val(TI32Value value)`
`static TColumnValue`
TColumnValue.`i64Val(TI64Value value)`
`static TColumnValue`
TColumnValue.`stringVal(TStringValue value)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TColumnValue
Modifier and Type
Method
Description
`List<TColumnValue>`
TRow.`getColVals()`
`Iterator<TColumnValue>`
TRow.`getColValsIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TColumnValue
Modifier and Type
Method
Description
`void`
TRow.`addToColVals(TColumnValue elem)`
`int`
TColumnValue.`compareTo(TColumnValue other)`
`boolean`
TColumnValue.`equals(TColumnValue other)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TColumnValue
Modifier and Type
Method
Description
`TRow`
TRow.`setColVals(List<TColumnValue> colVals)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TColumnValue
Modifier
Constructor
Description
``
`TColumnValue(TColumnValue other)`
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TColumnValue
Modifier
Constructor
Description
``
`TRow(List<TColumnValue> colVals)`